package com.example.mynotepad.MenuFeatures.AllNotes.DataBase;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.util.ArrayList;

@Entity
public class DateEntity {
    @PrimaryKey(autoGenerate = true)
    int ID;
    @ColumnInfo(name = "date")
    String date ;
    @ColumnInfo(name = "description")
    String description;
    @ColumnInfo(name = "archived")
    boolean isarchived;
    @ColumnInfo(name = "folders")
    ArrayList<String > folders;

    public DateEntity(String date , String description , boolean isarchived ,ArrayList<String> folders ){
        this.date = date;
        this.description = description;
        this.isarchived = isarchived;
        this.folders = folders;
    }


    public int getID() {
        return ID;
    }

    public String getDate() {
        return date;
    }

    public String getDescription() {
        return description;
    }

    public boolean isarchived(){
        return isarchived;
    }

    public ArrayList<String> getFolders() {
        return folders;
    }
}